@echo off

REM 	Script à lancer pour l'installation d'une application Vitis

REM   Paramètres obligatoires :
REM       --app_path : chemin vers le répertoire d'installation d'application

set /p app_path="app path: "

if not exist %app_path% (
  echo %app_path% "n'existe pas"
  exit /b 1
)

cd %app_path%
echo ---- Generate Client ----

if exist "client" (
  echo client déjà existant, supprimez le dossier pour réinstaller
) else (
  echo ---- mklink module's assets folder ----
  mklink /j client "src/vitis/client"
  if not exist "client/src/modules" (
   mkdir "client/src/modules"
  )
  if not exist "client/src/app/modules" (
   mkdir "client/src/app/modules"
  )
  mklink /j "client/src/modules/vmap" "src/module_vmap/module"
  mklink /j "client/src/conf" "conf"
  REM Montage des modules Angular
  if exist "conf/modules-components.ts" (
	echo copy module-component de l'application
    copy /y "conf/modules-components.ts" "src/vitis/client/src/app/modules/modules-components.ts"
  ) else (
    if exist "src/vitis/client/src/app/modules/modules-components.sample.ts" (
		echo copy module-component de vitis
		copy /y "src/vitis/client/src/app/modules/modules-components.sample.ts" "src/vitis/client/src/app/modules/modules-components.ts"
	) else (
		echo module-component introuvable
	)
  )

  if exist "src/module_vmap/module/components" (
    mklink /j "client/src/app/modules/vmap" "src/module_vmap/module/components"
  ) else (
    echo module_vmap/module/components n'existe pas
  )
  echo "installation de node/npm à faire (node v12.16.2)"
  echo "installation de node_module à faire (npm install)"
)


echo ---- Generate Vas ----
if exist "vas" (
  echo vas déjà existant, supprimez le dossier pour réinstaller
) else (
  echo ---- mklink module's assets folder ----
  mklink /j vas "src/vitis/vas"
  mklink /j "vas/src/Module/Vmap" "src/module_vmap/web_services"
  mklink /j "vas/src/Module/Cadastre" "src/module_cadastre/web_services"
  if not exist "vas/engine" (
    mkdir "vas/engine"
  )
  mklink /j "vas/engine/vitis" "src/vitis/engine/vitis"

  echo "installation de php/composer/symfony à faire"
  echo "installation de vendor à faire (composer install)"
  echo "configuration du vas à faire"
)