#!/bin/bash
#
#
# 	Script à lancer pour l'installation d'une application Vitis
#
#   Paramètres obligatoires :
#       --app_path : chemin vers le répertoire d'installation d'application
#
#

for i in "$@"
do
case $i in
  # param app_path
  --app_path=*)
  app_path="${i#*=}"
  shift
  ;;
esac
done

if [ -z ${app_path+x} ]
then
  echo "--app_path required"
  exit 1
fi

cd $app_path

# Démonte un dossier
unmount_folder() {
  if [ -d "$1" ]; then
    if mount | grep "$app_path/$1" > /dev/null; then
      echo "Unmount $1"
      sudo umount "$app_path/$1"
    fi
  fi
}

# Démote les points de montages contenus dans un dossier
unmount_containing_folders() {
  if [ -d "$1" ]; then
    for f in "$1"/*; do
      if [ -d "$f" ]; then
        unmount_folder "$f"
      fi
    done
  fi
}

echo "--------------------------------"
echo "---- Unmount client folders ----"
echo "--------------------------------"

# Démote src/vitis/client/src/modules/*
unmount_containing_folders "src/vitis/client/src/modules"

# Démote src/vitis/client/src/app/modules/*
unmount_containing_folders "src/vitis/client/src/app/modules"

# Démonte src/vitis/client/src/conf
unmount_folder "src/vitis/client/src/conf"

# Démonte client
unmount_folder "client"

# Supprime modules-components.ts
sudo rm src/vitis/client/src/app/modules/modules-components.ts

echo "-----------------------------"
echo "---- Unmount vas folders ----"
echo "-----------------------------"

# Démote src/vitis/vas/engine/*
unmount_containing_folders "src/vitis/vas/engine"

# Démote src/vitis/vas/src/Module/*
unmount_containing_folders "src/vitis/vas/src/Module"

# Démonte vas
unmount_folder "vas"